Bug 985556 - vdsm: failure to move disk with 'truesize' error in vdsm will show the same exit message in event log
vdsm: failure to move disk with 'truesize' error in vdsm will show the same e...
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
x86_64 Linux
high Severity high
: ---
: 3.2.2
Assigned To: Federico Simoncelli
Aharon Canan
: ZStream
Depends On: 883858
  Show dependency treegraph
Reported: 2013-07-17 14:40 EDT by Idith Tal-Kohen
Modified: 2016-02-10 11:56 EST (History)
21 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, failure to move a disk produced a 'truesize' exit message, which was not informative. Now, failure to move a disk produces a more helpful error message explaining that the volume is corrupted or missing.
Story Points: ---
Clone Of: 883858
Last Closed: 2013-08-13 12:18:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 13529 None None None Never

  None (edit)
Comment 3 Aharon Canan 2013-08-01 09:17:35 EDT
verified (although 'truesize' still appears - see vdsm.log below) using sf19
Volume 1f761569-4135-439d-9fb8-0f7f7b19181a is corrupted or missing

verification steps - 
1. create DC based on NFS
2. create VM without starting it.

On the NFS foler -  
  3. mv <voluuid> <voluuid>.bak
  4. mv <voluuid>.meta <voluuid>.meta.bak
  5. mv <voluuid>.lease <voluuid>.lease.bak

from vdsm.log
Thread-8281::ERROR::2013-08-01 16:07:24,910::dispatcher::69::Storage.Dispatcher.Protect::(run) [Errno 2] No such file or directory: '/rhev/data-center/8ce555d1-6142-472a-8379-0daadcb11a86/58d36645-018d-44cf-904b-949ccc63ad0f/images/773e0
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/dispatcher.py", line 61, in run
    result = ctask.prepare(self.func, *args, **kwargs)
  File "/usr/share/vdsm/storage/task.py", line 1159, in prepare
    raise self.error
OSError: [Errno 2] No such file or directory: '/rhev/data-center/8ce555d1-6142-472a-8379-0daadcb11a86/58d36645-018d-44cf-904b-949ccc63ad0f/images/773e001b-8b5e-4457-80d5-ebed15313658/1f761569-4135-439d-9fb8-0f7f7b19181a'
Thread-8281::ERROR::2013-08-01 16:07:24,916::vm::412::vm.Vm::(_normalizeVdsmImg) vmId=`2a192a7f-5ea6-4a28-b085-8e4d12d8594e`::Unable to get volume size for 1f761569-4135-439d-9fb8-0f7f7b19181a
Traceback (most recent call last):
  File "/usr/share/vdsm/vm.py", line 408, in _normalizeVdsmImg
    drv['truesize'] = res['truesize']
KeyError: 'truesize'
Thread-8281::DEBUG::2013-08-01 16:07:24,996::vm::684::vm.Vm::(_startUnderlyingVm) vmId=`2a192a7f-5ea6-4a28-b085-8e4d12d8594e`::_ongoingCreations released
Thread-8281::ERROR::2013-08-01 16:07:24,996::vm::710::vm.Vm::(_startUnderlyingVm) vmId=`2a192a7f-5ea6-4a28-b085-8e4d12d8594e`::The vm start process failed
Traceback (most recent call last):
  File "/usr/share/vdsm/vm.py", line 670, in _startUnderlyingVm
  File "/usr/share/vdsm/libvirtvm.py", line 1457, in _run
    devices = self.buildConfDevices()
  File "/usr/share/vdsm/vm.py", line 507, in buildConfDevices
  File "/usr/share/vdsm/vm.py", line 414, in _normalizeVdsmImg
RuntimeError: Volume 1f761569-4135-439d-9fb8-0f7f7b19181a is corrupted or missing
Comment 5 errata-xmlrpc 2013-08-13 12:18:26 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.